Subject: Re: [siprec] #10: What is Meta-Data?

From: Leon Portman <[email-masked]>
Date: Sun, 2 May 2010 12:55:11 +0300

I agree

Leon

-----Original Message-----
From: Deepanshu Gautam [mailto:[email-masked]] 
Sent: Friday, April 30, 2010 10:50 AM
To: 'Elwell, John'; Leon Portman; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [siprec] #10: What is Meta-Data?

The examples of information (about RS) in metadata, in my mind were:
REC-Time (time when the recording is started), REC-Len (the total length of
media recorded), REC-Type (type of media recorded [text, audio, vedio]).
None of them is about how a CS is related with RS.
I would prefer
 "...describing the Communication Session and its related Recording Session"

I completely agree that RS(s) MUST be related with CS(s) though. Metadata
will provide a bunch of information about CS and RS which can be used by RS
(I mean Recording Server here) to relate CS with RS. Metadata may not try to
relate them by itself.

Regards
Deepanshu

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: 2010年4月30日 14:17
To: Deepanshu Gautam; 'Leon Portman'; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [siprec] #10: What is Meta-Data?

Would a rewording along the lines of "...describing the Communication
Session and how it relates to the Recording Session" be better?

John (as individual) 

> -----Original Message-----
> From: Deepanshu Gautam [mailto:[email-masked]]
> Sent: 30 April 2010 07:08
> To: 'Leon Portman'; [email-masked]; Elwell, John; 
> [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [siprec] #10: What is Meta-Data?
> 
> 
> I agree with all of you, but this was not the point.
> The point was the Meta-Data definition, which says "Metadata describes 
> communication session". Which is wrong.
> I agree with Leon initial follow-up comment, the gist of which was: 
> the metadata may contain recording session information (in addition 
> with CS
> information) which may be used by other eitities for different 
> purposes like search, filter, logging (this is what *draft says* in 
> Introduction section).
> Further, RC (the one who initiates the recording) being the source of 
> metadata also advocates for this.
> I propose to change the metadata definition to say that it can 
> describe RS too, in addition to CS. A possible wording would be 
> "Metadata provides information describing RS and CS". Some examples 
> would be even better.
> 
> Regards
> Deepanshu
> PS: Both Recording Server and Recording Session are being abbrivated 
> as "RS". This may lead to confusion.
> 
> 
>  
> 
> -----Original Message-----
> From: Leon Portman [mailto:[email-masked]]
> Sent: 2010年4月30日 1:58
> To: [email-masked]'; [email-masked]';
> [email-masked]'; [email-masked]'; [email-masked]'; 
> 'Rajnish.
> [email-masked]'
> Cc: [email-masked]'
> Subject: Re: [siprec] #10: What is Meta-Data?
> 
> I meant other applications that are interested in such
> events: like agent
> application. I agree that it is out of scope of the SIPREC however 
> probably implementation will combine both use cases.
> 
> Leon
> 
> ----- Original Message -----
> From: Ram Mohan R (rmohanr) <[email-masked]>
> To: Elwell, John <[email-masked]>; Leon Portman; 
> siprec issue tracker <[email-masked]>; Ken Rehor (krehor) 
> <[email-masked]>; [email-masked] <[email-masked]>; 
> [email-masked] <[email-masked]>
> Cc: [email-masked] <[email-masked]>
> Sent: Thu Apr 29 19:52:46 2010
> Subject: RE: [siprec] #10: What is Meta-Data?
> 
> Leon,
> 
> Even I would like to understand what you mean by "metadata 
> subscribers"
> ? Can you please elaborate on the same ?
> 
> Ram
> -----Original Message-----
> From: Elwell, John [mailto:[email-masked]]
> Sent: Thursday, April 29, 2010 8:51 PM
> To: Leon Portman; Ram Mohan R (rmohanr); siprec issue tracker; Ken 
> Rehor (krehor); [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [siprec] #10: What is Meta-Data?
> 
> Leon,
> 
> What is meant by "meta data subscribers"? I see no mention of 
> subscriber in the requirements draft. I think the requirements draft 
> needs to be clearer on who/what requires access to metadata, e.g., is 
> it just the recording server or other authorised parties? If entities 
> other than the RS require access to metadata, will that necessarily be 
> a SIP-based mechanism, and will it necessarily be within scope of 
> SIPREC?
> 
> John (as individual)
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Leon Portman
> > Sent: 29 April 2010 15:42
> > To: Ram Mohan R (rmohanr); siprec issue tracker; Ken Rehor
> (krehor);
> > [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [siprec] #10: What is Meta-Data?
> > 
> > Ram,
> > 
> > I agree on the control part but I don't want to assume that
> meta data
> > subscribers will have visibility on RC-RS sessions
> > 
> > Leon
> > 
> > -----Original Message-----
> > From: Ram Mohan R (rmohanr) [mailto:[email-masked]]
> > Sent: Thursday, April 29, 2010 4:23 PM
> > To: siprec issue tracker; Ken Rehor (krehor); [email-masked]; 
> > Leon Portman; [email-masked]
> > Cc: [email-masked]
> > Subject: RE: [siprec] #10: What is Meta-Data?
> > 
> > Leon,
> > 
> > I don't see a need for indicating pause, resume, start, stop 
> > specifically using metadata.
> > We could use the existing SDP direction attribute to
> indicate start,
> > stop, pause, resume.
> > The assumption here is you have SIP dialog setup between RC and RS.
> > 
> > For e.g to pause a recording, the Recording Server would send a 
> > RE-INVITE with direction attribute a=inactive for those
> > streams(m-lines)
> > for which it wants to pause the recording. 
> >               
> >  Pause recording
> > 
> > RecordingServer(RC)                      Recording Client(RC)
> > |---------------------------------------->|
> > |  INVITE + metadata                      |
> > |  + SDP(direction attrib a=inactive)     |
> > |                                         | 
> > |<----------------------------------------|
> > |   200 OK ( SDP with a=inactive)         |
> > |                                         |
> > |   resume recording                      |
> > |                                         |
> > |                                         |
> > |---------------------------------------->|
> > |INVITE + metadata                        |
> > |  + SDP(direction attrib a=recvonly)     |
> > |                                         | 
> > |<----------------------------------------|
> > |   200 OK ( SDP with a=sendonly)         |
> > |                                         |
> > 
> > In the same way the RC can stop/start recording on the same
> session by
> > just sending a RE-INVITE with a=inactive and RE-INVITE with
> a=sendonly
> > respectively.
> > 
> > Isn't this sufficient ? Do we see a need to have some additional 
> > information carried in metadata to indicate
> pause,resume,stop,start ?
> > I suppose the metadata subscribers you are referring to
> will be in the
> > path of the SIP messages between RC and RS? right ?
> > They can still look at the SDP direction attribute and get the 
> > details. Of course they need to be call statefull.
> > 
> > Ram
> > 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of siprec issue tracker
> > Sent: Thursday, April 29, 2010 5:28 PM
> > To: Ken Rehor (krehor); [email-masked]; [email-masked]; 
> > [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [siprec] #10: What is Meta-Data?
> > 
> > #10: What is Meta-Data?
> > -----------------------------------+--------------------------
> > --------------
> >  Reporter:  deepanshu@...            |       Owner:  krehor@...
> 
> >      Type:  defect                 |      Status:  new             
> >  Priority:  major                  |   Milestone:  milestone1      
> > Component:  Requirements           |     Version:                  
> >  Severity:  Candidate WG Document  |    Keywords:                  
> > -----------------------------------+--------------------------
> > --------------
> > 
> > Comment(by leonp@...):
> > 
> >  It can make sense if RC established a recording session
> with one of
> > the  available RS, these recording sessions information
> (like start,
> > stop,  pause, resume) may also be reported via metadata to another 
> > metadata  subscribers. Metadata subcribers can be not only
> Recording
> > Servers but  some another applications and also some logging 
> > mechanisms as well.
> > 
> >  Leon
> > 
> > --
> > Ticket URL: 
> > <http://trac.tools.ietf.org/wg/siprec/trac/ticket/10#comment:3>
> > siprec <http://tools.ietf.org/siprec/>
> > 
> > _______________________________________________
> > siprec mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/siprec
> > _______________________________________________
> > siprec mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/siprec
> > 
> 
>=